Lavalite package that provides raffle-e-commerce-multi-vendor management facility for the cms.

## Installation

Run the below command form the root folder of lavalite.

```
    composer require "raffle-mv/raffle-e-commerce-multi-vendor"
```


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=RaffleMv\\RaffleECommerceMultiVendor\\Seeders\\RaffleECommerceMultiVendorTableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="RaffleMv\RaffleECommerceMultiVendor\Providers\RaffleECommerceMultiVendorServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="RaffleMv\RaffleECommerceMultiVendor\Providers\RaffleECommerceMultiVendorServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="RaffleMv\RaffleECommerceMultiVendor\Providers\RaffleECommerceMultiVendorServiceProvider" --tag="view"
```


## URLs and APIs


### Web Urls

* Admin
```
    http://path-to-route-folder/admin/raffle-e-commerce-multi-vendor/{modulename}
```

* User
```
    http://path-to-route-folder/user/raffle-e-commerce-multi-vendor/{modulename}
```

* Public
```
    http://path-to-route-folder/raffle-e-commerce-multi-vendors
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/raffle-e-commerce-multi-vendor/{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/raffle-e-commerce-multi-vendor/{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/raffle-e-commerce-multi-vendor/{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
